com.salesforce.datacloud.jdbc.core.listener

## Interface QueryStatusPoller

All Known Implementing Classes:
  AdaptiveQueryStatusPoller

    public interface QueryStatusPoller

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Default Methods
`static boolean` `isReady(QueryStatus.CompletionStatus completionStatus)`
`long` `pollChunkCount()`
`default boolean` `pollIsReady()`
`QueryStatus` `pollQueryStatus()`

### Method Detail

#### pollQueryStatus

    QueryStatus pollQueryStatus()

#### pollChunkCount

    long pollChunkCount()
                 throws SQLException

Throws:
  `SQLException`

#### pollIsReady

    default boolean pollIsReady()

#### isReady

    static boolean isReady(QueryStatus.CompletionStatus completionStatus)